]> git.zerfleddert.de Git - m1-debian/blobdiff - gpu.sh
add upstream config
[m1-debian] / gpu.sh
diff --git a/gpu.sh b/gpu.sh
index 15719b70c8721288ffa18d64f32ac75d70f565b8..eb98609ed14b8967a20dcccbda344d2b746a18fe 100644 (file)
--- a/gpu.sh
+++ b/gpu.sh
@@ -1,9 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # SPDX-License-Identifier: MIT
 
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
@@ -42,7 +46,7 @@ build_uboot()
         cd u-boot
         git fetch -a -t
         git reset --hard origin/asahi;
-        curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+        curl -s https://tg.st/u/0001-usb_setup_descriptor-Add-1ms-delay-in-order-to-unbre.patch | patch -p1
         make apple_m1_defconfig
         make -j `nproc`
 )
Impressum, Datenschutz